fuss-backup - Segnalazione #921

/usr/sbin/fuss-backup: line 150: [: too many arguments
11/08/2019 08:05 PM - Marco Marinello

Status: Chiuso Start date: 11/08/2019
Priority: Urgente Due date:

Assignee: Paolo Dongilli % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description
In un server dove la variabile DISK & definita con

-t cifs //10.150.130.7/fussbackup —-o username=fussbackup, password=mysecretpassword

si vede l'errore di cui in oggetto. Ho modificato riga 150 con

if [ -z "$DISK" ] ; then

e lanciato di nuovo, faccio sapere appena finisce

History

#1 - 11/09/2019 05:40 PM - Marco Marinello

Confermo che ora I'errore non si presenta piu

#2 - 11/11/2019 12:41 PM - Paolo Dongilli
- Assignee changed from Paolo Dongilli to Simone Piccardi

- Priority changed from Normale to Urgente

Simone, potresti fare la modifica come indicato e produrre una nuova release di fuss-backup (per stretch e buster). Grazie!

#3 - 11/11/2019 04:54 PM - Simone Piccardi
- Status changed from Nuovo to Commenti

- Assignee changed from Simone Piccardi to Paolo Dongilli

Ho fatto le modifiche (ma perché usate CIFS invece che NFS? i NAS supportano entrambi, e cifs non supporta utenti/permessi unix e quando si
pianta in genere & problematico).

Non ho creato i pacchetti, fatemi sapere se va fatto anche quello (i changelog sono pronti per farlo).

#4 - 11/12/2019 08:29 AM - Paolo Dongilli

- Assignee changed from Paolo Dongilli to Simone Piccardi

Simone Piccardi wrote:

Ho fatto le modifiche (ma perché usate CIFS invece che NFS? i NAS supportano entrambi, e cifs non supporta utenti/permessi unix e quando si
pianta in genere & problematico).
Concordo. Qualche tecnico perd ha usato CIFS invece di NFS.

Non ho creato i pacchetti, fatemi sapere se va fatto anche quello (i changelog sono pronti per farlo).

Volentieri, grazie.

#5 - 04/29/2020 10:41 AM - Simone Piccardi

- Assignee changed from Simone Piccardi to Paolo Dongilli
Questo penso si possa chiudere, la correzione & nei pacchetti.
#6 - 04/29/2020 07:37 PM - Paolo Dongilli

- Status changed from Commenti to Chiuso

- % Done changed from 0 to 100
